This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 513242 - Better error Message when adding a user to a group that doesn't exist
Better error Message when adding a user to a group that doesn't exist
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: sssd (Show other bugs)
11
All Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Hrozek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-22 12:53 EDT by Jenny Galipeau
Modified: 2010-01-12 13:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-12 13:22:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jenny Galipeau 2009-07-22 12:53:06 EDT
Description of problem:
When attempting to add a user to a group that doesn't exist, the following is returned:

Fedora 11:
[root@jennyF11 etc]# sss_usermod -a mygroup user1000
[sss_usermod] [main] (0): Operation failed (2)[No such file or directory]


Version-Release number of selected component (if applicable):

sssd-debuginfo-0.4.1-1.fc11.i586
sssd-0.4.1-1.fc11.i586


How reproducible:
always

Steps to Reproduce:
1. add a user to the LOCAL sss.ldb domain
2. attempt to add the user to a group that doesn't exist
3.
  
Actual results:
[sss_usermod] [main] (0): Operation failed (2)[No such file or directory]

Expected results:
Error message informing user that the group does not exist.

Additional info:

RHEL 5.3 error:

Transaction error. Could not modify user.
Comment 1 Jenny Galipeau 2010-01-12 13:42:31 EST
fix verified automated daily acceptance tests for regression

Note You need to log in before you can comment on or make changes to this bug.